Skip site navigation (1)Skip section navigation (2)
Date:      Mon, 30 Oct 2017 03:12:34 +0000 (UTC)
From:      Warner Losh <imp@FreeBSD.org>
To:        src-committers@freebsd.org, svn-src-all@freebsd.org, svn-src-head@freebsd.org
Subject:   svn commit: r325115 - head/tools/boot
Message-ID:  <201710300312.v9U3CYXJ021361@repo.freebsd.org>

next in thread | raw e-mail | index | archive | help
Author: imp
Date: Mon Oct 30 03:12:34 2017
New Revision: 325115
URL: https://svnweb.freebsd.org/changeset/base/325115

Log:
  Fix parallel build issues and add MK_ZFS=no case
  
  To ensure that I don't break the MK_ZFS=no case (currently working),
  add that to the build, at least for i386 and amd64. Also, out of an
  abundance of caution, clean single threaded, and then build in a
  separate make. Otherwise, I hit a race where we build before objdir
  has been created, which breaks at the moment.
  
  Sponsored by: Netflix

Modified:
  head/tools/boot/universe.sh

Modified: head/tools/boot/universe.sh
==============================================================================
--- head/tools/boot/universe.sh	Mon Oct 30 03:12:28 2017	(r325114)
+++ head/tools/boot/universe.sh	Mon Oct 30 03:12:34 2017	(r325115)
@@ -33,9 +33,33 @@ for i in \
 	; do
     ta=${i##*/}
     echo -n "Building $ta..."
-    ( ( make buildenv TARGET_ARCH=$ta BUILDENV_SHELL="make -j 20 clean cleandepend cleandir obj depend all" \
-	 > _.boot.${ta}.log 2>&1 ) && echo Success ) || echo Fail
+    if ! make buildenv TARGET_ARCH=$ta BUILDENV_SHELL="make clean cleandepend cleandir obj depend"  \
+	 > _.boot.${ta}.log 2>&1; then
+	echo "Fail (cleanup)"
+	continue
+    fi
+    if ! make buildenv TARGET_ARCH=$ta BUILDENV_SHELL="make -j 20 all"  \
+	 >> _.boot.${ta}.log 2>&1; then
+	echo "Fail (build)"
+	continue
+    fi
+    echo "Success"
 done
-
-
-
+for i in \
+	amd64/amd64 \
+	i386/i386 \
+	; do
+    ta=${i##*/}
+    echo -n "Building $ta MK_ZFS=no..."
+    if ! make buildenv TARGET_ARCH=$ta BUILDENV_SHELL="make clean cleandepend cleandir obj depend"  \
+	 > _.boot.${ta}.noZFS.log 2>&1; then
+	echo "Fail (cleanup)"
+	continue
+    fi
+    if ! make buildenv TARGET_ARCH=$ta BUILDENV_SHELL="make MK_ZFS=no -j 20 all"  \
+	 >> _.boot.${ta}.noZFS.log 2>&1; then
+	echo "Fail (build)"
+	continue
+    fi
+    echo "Success"
+done



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?201710300312.v9U3CYXJ021361>